{
  "/vertex_ai/discovery/{endpoint}": {
    "patch": {
      "tags": [
        "Vertex AI Pass-through",
        "pass-through"
      ],
      "summary": "Vertex Discovery Proxy Route",
      "description": "Call any vertex discovery endpoint using the proxy.\n\nJust use `{PROXY_BASE_URL}/vertex_ai/discovery/{endpoint:path}`\n\nTarget url: `https://discoveryengine.googleapis.com`",
      "operationId": "vertex_discovery_proxy_route_vertex_ai_discovery__endpoint__patch",
      "parameters": [
        {
          "name": "endpoint",
          "in": "path",
          "required": true,
          "schema": {
            "type": "string",
            "title": "Endpoint"
          }
        }
      ],
      "responses": {
        "200": {
          "description": "Successful Response",
          "content": {
            "application/json": {
              "schema": {}
            }
          }
        },
        "422": {
          "description": "Validation Error",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/HTTPValidationError"
              }
            }
          }
        }
      }
    },
    "put": {
      "tags": [
        "Vertex AI Pass-through",
        "pass-through"
      ],
      "summary": "Vertex Discovery Proxy Route",
      "description": "Call any vertex discovery endpoint using the proxy.\n\nJust use `{PROXY_BASE_URL}/vertex_ai/discovery/{endpoint:path}`\n\nTarget url: `https://discoveryengine.googleapis.com`",
      "operationId": "vertex_discovery_proxy_route_vertex_ai_discovery__endpoint__patch",
      "parameters": [
        {
          "name": "endpoint",
          "in": "path",
          "required": true,
          "schema": {
            "type": "string",
            "title": "Endpoint"
          }
        }
      ],
      "responses": {
        "200": {
          "description": "Successful Response",
          "content": {
            "application/json": {
              "schema": {}
            }
          }
        },
        "422": {
          "description": "Validation Error",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/HTTPValidationError"
              }
            }
          }
        }
      }
    },
    "post": {
      "tags": [
        "Vertex AI Pass-through",
        "pass-through"
      ],
      "summary": "Vertex Discovery Proxy Route",
      "description": "Call any vertex discovery endpoint using the proxy.\n\nJust use `{PROXY_BASE_URL}/vertex_ai/discovery/{endpoint:path}`\n\nTarget url: `https://discoveryengine.googleapis.com`",
      "operationId": "vertex_discovery_proxy_route_vertex_ai_discovery__endpoint__patch",
      "parameters": [
        {
          "name": "endpoint",
          "in": "path",
          "required": true,
          "schema": {
            "type": "string",
            "title": "Endpoint"
          }
        }
      ],
      "responses": {
        "200": {
          "description": "Successful Response",
          "content": {
            "application/json": {
              "schema": {}
            }
          }
        },
        "422": {
          "description": "Validation Error",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/HTTPValidationError"
              }
            }
          }
        }
      }
    },
    "get": {
      "tags": [
        "Vertex AI Pass-through",
        "pass-through"
      ],
      "summary": "Vertex Discovery Proxy Route",
      "description": "Call any vertex discovery endpoint using the proxy.\n\nJust use `{PROXY_BASE_URL}/vertex_ai/discovery/{endpoint:path}`\n\nTarget url: `https://discoveryengine.googleapis.com`",
      "operationId": "vertex_discovery_proxy_route_vertex_ai_discovery__endpoint__patch",
      "parameters": [
        {
          "name": "endpoint",
          "in": "path",
          "required": true,
          "schema": {
            "type": "string",
            "title": "Endpoint"
          }
        }
      ],
      "responses": {
        "200": {
          "description": "Successful Response",
          "content": {
            "application/json": {
              "schema": {}
            }
          }
        },
        "422": {
          "description": "Validation Error",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/HTTPValidationError"
              }
            }
          }
        }
      }
    },
    "delete": {
      "tags": [
        "Vertex AI Pass-through",
        "pass-through"
      ],
      "summary": "Vertex Discovery Proxy Route",
      "description": "Call any vertex discovery endpoint using the proxy.\n\nJust use `{PROXY_BASE_URL}/vertex_ai/discovery/{endpoint:path}`\n\nTarget url: `https://discoveryengine.googleapis.com`",
      "operationId": "vertex_discovery_proxy_route_vertex_ai_discovery__endpoint__patch",
      "parameters": [
        {
          "name": "endpoint",
          "in": "path",
          "required": true,
          "schema": {
            "type": "string",
            "title": "Endpoint"
          }
        }
      ],
      "responses": {
        "200": {
          "description": "Successful Response",
          "content": {
            "application/json": {
              "schema": {}
            }
          }
        },
        "422": {
          "description": "Validation Error",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/HTTPValidationError"
              }
            }
          }
        }
      }
    }
  },
  "/vertex_ai/live": {
    "get": {
      "summary": "WebSocket: vertex_ai_live_passthrough_endpoint",
      "description": "WebSocket connection endpoint",
      "operationId": "websocket_vertex_ai_live_passthrough_endpoint",
      "parameters": [
        {
          "name": "model",
          "in": "query",
          "required": false,
          "schema": {
            "type": "string"
          }
        },
        {
          "name": "vertex_project",
          "in": "query",
          "required": false,
          "schema": {
            "type": "string"
          }
        },
        {
          "name": "vertex_location",
          "in": "query",
          "required": false,
          "schema": {
            "type": "string"
          }
        }
      ],
      "responses": {
        "101": {
          "description": "WebSocket Protocol Switched"
        }
      },
      "tags": [
        "WebSocket"
      ]
    }
  },
  "/vertex_ai/{endpoint}": {
    "patch": {
      "tags": [
        "Vertex AI Pass-through",
        "pass-through"
      ],
      "summary": "Vertex Proxy Route",
      "description": "Call LiteLLM proxy via Vertex AI SDK.\n\n[Docs](https://docs.litellm.ai/docs/pass_through/vertex_ai)",
      "operationId": "vertex_proxy_route_vertex_ai__endpoint__patch",
      "security": [
        {
          "APIKeyHeader": []
        }
      ],
      "parameters": [
        {
          "name": "endpoint",
          "in": "path",
          "required": true,
          "schema": {
            "type": "string",
            "title": "Endpoint"
          }
        }
      ],
      "responses": {
        "200": {
          "description": "Successful Response",
          "content": {
            "application/json": {
              "schema": {}
            }
          }
        },
        "422": {
          "description": "Validation Error",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/HTTPValidationError"
              }
            }
          }
        }
      }
    },
    "put": {
      "tags": [
        "Vertex AI Pass-through",
        "pass-through"
      ],
      "summary": "Vertex Proxy Route",
      "description": "Call LiteLLM proxy via Vertex AI SDK.\n\n[Docs](https://docs.litellm.ai/docs/pass_through/vertex_ai)",
      "operationId": "vertex_proxy_route_vertex_ai__endpoint__patch",
      "security": [
        {
          "APIKeyHeader": []
        }
      ],
      "parameters": [
        {
          "name": "endpoint",
          "in": "path",
          "required": true,
          "schema": {
            "type": "string",
            "title": "Endpoint"
          }
        }
      ],
      "responses": {
        "200": {
          "description": "Successful Response",
          "content": {
            "application/json": {
              "schema": {}
            }
          }
        },
        "422": {
          "description": "Validation Error",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/HTTPValidationError"
              }
            }
          }
        }
      }
    },
    "post": {
      "tags": [
        "Vertex AI Pass-through",
        "pass-through"
      ],
      "summary": "Vertex Proxy Route",
      "description": "Call LiteLLM proxy via Vertex AI SDK.\n\n[Docs](https://docs.litellm.ai/docs/pass_through/vertex_ai)",
      "operationId": "vertex_proxy_route_vertex_ai__endpoint__patch",
      "security": [
        {
          "APIKeyHeader": []
        }
      ],
      "parameters": [
        {
          "name": "endpoint",
          "in": "path",
          "required": true,
          "schema": {
            "type": "string",
            "title": "Endpoint"
          }
        }
      ],
      "responses": {
        "200": {
          "description": "Successful Response",
          "content": {
            "application/json": {
              "schema": {}
            }
          }
        },
        "422": {
          "description": "Validation Error",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/HTTPValidationError"
              }
            }
          }
        }
      }
    },
    "get": {
      "tags": [
        "Vertex AI Pass-through",
        "pass-through"
      ],
      "summary": "Vertex Proxy Route",
      "description": "Call LiteLLM proxy via Vertex AI SDK.\n\n[Docs](https://docs.litellm.ai/docs/pass_through/vertex_ai)",
      "operationId": "vertex_proxy_route_vertex_ai__endpoint__patch",
      "security": [
        {
          "APIKeyHeader": []
        }
      ],
      "parameters": [
        {
          "name": "endpoint",
          "in": "path",
          "required": true,
          "schema": {
            "type": "string",
            "title": "Endpoint"
          }
        }
      ],
      "responses": {
        "200": {
          "description": "Successful Response",
          "content": {
            "application/json": {
              "schema": {}
            }
          }
        },
        "422": {
          "description": "Validation Error",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/HTTPValidationError"
              }
            }
          }
        }
      }
    },
    "delete": {
      "tags": [
        "Vertex AI Pass-through",
        "pass-through"
      ],
      "summary": "Vertex Proxy Route",
      "description": "Call LiteLLM proxy via Vertex AI SDK.\n\n[Docs](https://docs.litellm.ai/docs/pass_through/vertex_ai)",
      "operationId": "vertex_proxy_route_vertex_ai__endpoint__patch",
      "security": [
        {
          "APIKeyHeader": []
        }
      ],
      "parameters": [
        {
          "name": "endpoint",
          "in": "path",
          "required": true,
          "schema": {
            "type": "string",
            "title": "Endpoint"
          }
        }
      ],
      "responses": {
        "200": {
          "description": "Successful Response",
          "content": {
            "application/json": {
              "schema": {}
            }
          }
        },
        "422": {
          "description": "Validation Error",
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/HTTPValidationError"
              }
            }
          }
        }
      }
    }
  }
}